This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 458080 - Review Request: perl-Email-Find - Find RFC 822 email addresses in plain text
Review Request: perl-Email-Find - Find RFC 822 email addresses in plain text
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 458446
  Show dependency treegraph
 
Reported: 2008-08-06 09:53 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-08-29 08:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-29 08:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-08-06 09:53:00 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Email-Find.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-Email-Find-0.10-1.fc8.kwizart.src.rpm
Description: Find RFC 822 email addresses in plain text
Comment 1 Parag AN(पराग) 2008-08-08 13:38:39 EDT
build failed => http://koji.fedoraproject.org/koji/taskinfo?taskID=766992
can you add BR: perl(Test::More)
Comment 2 Nicolas Chauvet (kwizart) 2008-08-09 10:11:43 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Email-Find.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-Email-Find-0.10-2.fc8.kwizart.src.rpm
Description: Find RFC 822 email addresses in plain text

Changelog
- Add BR perl(Test:More)
Comment 3 Parag AN(पराग) 2008-08-09 23:43:18 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=768412
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
b38339e6c4ef0a13818195d50a193545  Email-Find-0.10.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=37,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.22 cusr  0.02 csys =  0.25 CPU)
+ Package perl-Email-Find-0.10-2.fc10 =>
  Provides: perl(Email::Find) = 0.10 perl(Email::Find::addrspec) = 0.09
  Requires: perl >= 0:5.005 perl(Email::Find::addrspec) perl(Email::Valid) perl(Mail::Address) perl(base) perl(strict) perl(vars)

APPROVED.
Comment 4 Nicolas Chauvet (kwizart) 2008-08-11 15:49:10 EDT
New Package CVS Request
=======================
Package Name: perl-Email-Find
Short Description: Find RFC 822 email addresses in plain text
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-08-12 01:25:42 EDT
cvs done.
Comment 6 Parag AN(पराग) 2008-08-13 01:47:25 EDT
did you asked upstream to fix tests that are failing?

rpmlint reported 
perl-HTML-FromText.noarch: E: non-standard-executable-perm /usr/bin/text2html 0555
==> you need to add following line to %build
%{_fixperms} $RPM_BUILD_ROOT/*
Comment 7 Parag AN(पराग) 2008-08-13 01:49:58 EDT
sorry wrong comment above should be supposed to post in bug 458446.
These depends and blocks are making me confused :)
Comment 8 David Timms 2008-08-23 07:22:48 EDT
Trying to review a package relying on this I found that local build [f9] fails due to the %check:
 cd Email-Find-0.10
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
Can't locate Test/Harness.pm in @INC (@INC contains: /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/site_perl/5.10.0 .) at /usr/lib/perl5/5.10.0/ExtUtils/Command/MM.pm line 49.
make: *** [test_dynamic] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.50361 (%check)

This occurs both for the .src in this review and the .src built in koji.
Yet:
$ yum-builddep perl-Email-Find-0.10-2.fc8.kwizart.src.rpm       
perl-ExtUtils-MakeMaker-6.36-31.fc9.i386
perl-Email-Valid-0.179-4.fc9.noarch
perl-Test-Simple-0.72-31.fc9.i386
No uninstalled build requires

$ rpm -Va perl\*
.......T    /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/auto/Tk/pTk/extralibs.ld

Note that kwizart has built the packages on koji for F8,9,rawhide OK, so I'm not sure whether a BR might have been missed, or just a local issue on my machine ?
Comment 9 Nicolas Chauvet (kwizart) 2008-08-23 09:07:01 EDT
You seems to have used a locally built version of perl (installed in /usr/local)
/usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi
/usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi
/usr/local/lib/perl5/site_perl/5.10.0

Did it worked using mock on your system (I expect it will).
Comment 10 David Timms 2008-08-23 11:28:12 EDT
Confirmed success in mock. Thanks kwizart, no thanks to vmware ;)

Note You need to log in before you can comment on or make changes to this bug.